# -*- coding: utf-8; indent-tabs-mode: t; tab-width: 4 -*-

#  Copyright (C) 2008-2010 by Canonical Ltd
#  Copyright (C) Koichi Akabe 2012 <vbkaisetsu@gmail.com>
# 
#  gLogic is free software: you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
# 
#  gLogic is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#  See the GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License along
#  with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from bzrlib.commands import Command
from bzrlib import config as globalconfig
from bzrlib import branch
from i18n import gettext as _
import oauth2, urlparse
import twitter

from keys import *

class cmd_twitter_auth(Command):

	def run(self):
		consumer = oauth2.Consumer(key=consumer_key, secret=consumer_sec)
		client = oauth2.Client(consumer)
		try:
			r, data = client.request("https://api.twitter.com/oauth/request_token", "GET")
		except Exception:
			print(_("Unable to connect to the twitter server. Please check the internet connection."))
			return
		d = dict(urlparse.parse_qsl(data))
		print(_("Please access to the following address and get pin:"))
		print("https://api.twitter.com/oauth/authorize?oauth_token=%s" % d["oauth_token"])
		pin = raw_input(_("PIN code: ").encode("utf-8"))
		if pin == "":
			print(_("Authorization failed!"))
			return
		token = oauth2.Token(d["oauth_token"], d["oauth_token_secret"])
		client = oauth2.Client(consumer, token)
		try:
			r, data = client.request("https://api.twitter.com/oauth/access_token", "POST", body="oauth_verifier=%s" % pin)
		except Exception:
			print(_("Unable to connect to the twitter server. Please check the internet connection."))
			return
		d = dict(urlparse.parse_qsl(data))
		if "oauth_token" in d and "oauth_token_secret" in d:
			gs = globalconfig.GlobalStack()
			gs.set("twitter_token_key", d["oauth_token"])
			gs.set("twitter_token_secret", d["oauth_token_secret"])
			print(_("Authorization success!"))
		else:
			print(_("Authorization failed!"))

class cmd_twitter_branchid(Command):

	takes_args = ["branchid?"]
	
	def run(self, branchid=None):
		
		if branchid is None:
			branchid = raw_input(_("ID: ").encode("utf-8"))
		
		if branchid == "":
			return
		
		cs = branch.Branch.open_containing(u'.')[0].get_config_stack()
		cs.set("twitter_branch_id", branchid)

